Skip to main content
DELETE
/
ai
/
missions
/
{mission_id}
/
tools
/
{tool_id}
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

await client.ai.missions.tools.deleteTool('tool_id', { mission_id: 'mission_id' });
import os
from telnyx import Telnyx

client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
client.ai.missions.tools.delete_tool(
tool_id="tool_id",
mission_id="mission_id",
)
package main

import (
"context"

"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)

func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.AI.Missions.Tools.DeleteTool(
context.TODO(),
"tool_id",
telnyx.AIMissionToolDeleteToolParams{
MissionID: "mission_id",
},
)
if err != nil {
panic(err.Error())
}
}
package com.telnyx.sdk.example;

import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.ai.missions.tools.ToolDeleteToolParams;

public final class Main {
private Main() {}

public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();

ToolDeleteToolParams params = ToolDeleteToolParams.builder()
.missionId("mission_id")
.toolId("tool_id")
.build();
client.ai().missions().tools().deleteTool(params);
}
}
require "telnyx"

telnyx = Telnyx::Client.new(api_key: "My API Key")

result = telnyx.ai.missions.tools.delete_tool("tool_id", mission_id: "mission_id")

puts(result)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;

$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');

try {
$result = $client->ai->missions->tools->deleteTool(
'tool_id', missionID: 'mission_id'
);

var_dump($result);
} catch (APIException $e) {
echo $e->getMessage();
}
telnyx ai:missions:tools delete-tool \
--api-key 'My API Key' \
--mission-id mission_id \
--tool-id tool_id
curl --request DELETE \
--url https://api.telnyx.com/v2/ai/missions/{mission_id}/tools/{tool_id} \
--header 'Authorization: Bearer <token>'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

mission_id
string
required

Unique identifier of the mission.

tool_id
string
required

Unique identifier of the tool.

Response

Successful Response